Bug 1185014 - Review Request: gap-pkg-atlasrep - GAP interface to the Atlas of Group Representations
Summary: Review Request: gap-pkg-atlasrep - GAP interface to the Atlas of Group Repres...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-22 17:28 UTC by Jerry James
Modified: 2015-02-09 05:29 UTC (History)
2 users (show)

Fixed In Version: gap-pkg-atlasrep-1.5.0-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-09 05:29:06 UTC
Type: ---
manisandro: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jerry James 2015-01-22 17:28:15 UTC
Spec URL: https://jjames.fedorapeople.org/gap-pkg-atlasrep/gap-pkg-atlasrep.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-atlasrep/gap-pkg-atlasrep-1.5.0-1.fc22.src.rpm
Fedora Account System Username: jjames
Description: The aim of the AtlasRep package is to provide an interface between GAP and the Atlas of Group Representations, a database that comprises representations of many almost simple groups and information about their maximal subgroups.  This database is available independent of GAP.

The AtlasRep package consists of this database and a GAP interface.  The latter allows the user to get an overview of the database, and to access the data in GAP format.

Comment 1 Sandro Mani 2015-01-22 20:10:23 UTC
Pretty much ok.

From the review (see below), two points:
MUST
[?]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     ==> I guess the location of /usr/lib/gap/pkg/atlasrep/doc/ is predictated by gap, so this is probably a non-issue.

SHOULD
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.


Looking at the spec, unless I'm mistaken about the purpose of these, I think you need:
Requires(pre): gap-core
Requires(postun): gap-core


Not strictly related to this package, but I noticed this when uninstalling:
-------------------------------------
Running transaction (shutdown inhibited)
  Erasing    : gap-pkg-atlasrep-1.5.0-1.fc22.noarch                                                                                                                                              1/4 
Updating GAP workspace /var/lib/gap/workspace.gz: done.
  Erasing    : GAPDoc-1.5.1-5.fc21.noarch                                                                                                                                                        2/4 
Updating GAP workspace /var/lib/gap/workspace.gz: Error, failed to load needed package `gapdoc' (version >= 1.2) called from
brk> true
brk> done.
-------------------------------------


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[?]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gap-pkg-atlasrep-1.5.0-1.fc22.noarch.rpm
          gap-pkg-atlasrep-1.5.0-1.fc22.src.rpm
gap-pkg-atlasrep.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
gap-pkg-atlasrep.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


Requires
--------
gap-pkg-atlasrep (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/update-gap-workspace
    gap-core



Provides
--------
gap-pkg-atlasrep:
    gap-pkg-atlasrep



Source checksums
----------------
http://www.math.rwth-aachen.de/~Thomas.Breuer/atlasrep/atlasrep1r5p0.tar.gz :
  CHECKSUM(SHA256) this package     : 50fa749fdf53802a21ed5c49e205447ef36a8ff545c191737de3e54ccf1679d1
  CHECKSUM(SHA256) upstream package : 50fa749fdf53802a21ed5c49e205447ef36a8ff545c191737de3e54ccf1679d1
http://www.math.rwth-aachen.de/~Thomas.Breuer/atlasrep/atlasrepdata.tar.gz :
  CHECKSUM(SHA256) this package     : 9f82d01bb682f24406f07a701dc2cae40dcba672c6ca91e77613b9096d6b49eb
  CHECKSUM(SHA256) upstream package : 9f82d01bb682f24406f07a701dc2cae40dcba672c6ca91e77613b9096d6b49eb


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1185014
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Jerry James 2015-01-24 03:03:27 UTC
(In reply to Sandro Mani from comment #1)
> From the review (see below), two points:
> MUST
> [?]: Large documentation must go in a -doc subpackage. Large could be size
>      (~1MB) or number of files.
>      ==> I guess the location of /usr/lib/gap/pkg/atlasrep/doc/ is
> predictated by gap, so this is probably a non-issue.

I have marked /usr/lib/gap/pkg/atlasrep/doc as %docdir to partially address this.

> SHOULD
> [!]: If the source package does not include license text(s) as a separate
> file
>      from upstream, the packager SHOULD query upstream to include it.

Okay, I have sent an email to upstream asking them to add the license text in the next release.

> Looking at the spec, unless I'm mistaken about the purpose of these, I think
> you need:
> Requires(pre): gap-core
> Requires(postun): gap-core

You're right!  I've added that in all of the gap-pkg-* spec files.  Good catch.

> Not strictly related to this package, but I noticed this when uninstalling:
> -------------------------------------
> Running transaction (shutdown inhibited)
>   Erasing    : gap-pkg-atlasrep-1.5.0-1.fc22.noarch                         
> 1/4 
> Updating GAP workspace /var/lib/gap/workspace.gz: done.
>   Erasing    : GAPDoc-1.5.1-5.fc21.noarch                                   
> 2/4 
> Updating GAP workspace /var/lib/gap/workspace.gz: Error, failed to load
> needed package `gapdoc' (version >= 1.2) called from
> brk> true
> brk> done.

Oops.  That's a bug in the gap and GAPDoc packages.  I will push a fix for this to Rawhide shortly.

New URLs:
Spec URL: https://jjames.fedorapeople.org/gap-pkg-atlasrep/gap-pkg-atlasrep.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-atlasrep/gap-pkg-atlasrep-1.5.0-2.fc22.src.rpm

Comment 3 Sandro Mani 2015-01-24 11:31:22 UTC
All ok, approved!

Comment 4 Jerry James 2015-01-24 18:13:38 UTC
Thank you so much for the reviews.  Let me know if you need anything else reviewed.

Comment 5 Jerry James 2015-01-24 18:16:47 UTC
New Package SCM Request
=======================
Package Name: gap-pkg-atlasrep
Short Description: GAP interface to the Atlas of Group Representations
Upstream URL: http://www.math.rwth-aachen.de/~Thomas.Breuer/atlasrep/
Owners: jjames
Branches: f21
InitialCC:

Comment 6 Sandro Mani 2015-01-24 22:56:01 UTC
If you could review https://bugzilla.redhat.com/show_bug.cgi?id=1185582 then I should be done for the moment!

Comment 7 Gwyn Ciesla 2015-01-25 21:45:19 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2015-01-30 23:05:10 UTC
gap-pkg-atlasrep-1.5.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gap-pkg-atlasrep-1.5.0-2.fc21

Comment 9 Fedora Update System 2015-02-01 00:24:06 UTC
gap-pkg-atlasrep-1.5.0-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 10 Fedora Update System 2015-02-09 05:29:06 UTC
gap-pkg-atlasrep-1.5.0-2.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.